import { TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE } from "../../common/_module.mjs";
import { ITEM_TYPES } from "../../constants.js";
import RdDItemSheet from "./common-item-sheet.mjs";

export default class RdDMunitionSheet extends RdDItemSheet {
  /** @override */
  static get ITEM_TYPE() { return ITEM_TYPES.munition }

  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["fvtt-rdd", "item", "munition"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["munition-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/foundryvtt-reve-de-dragon/templates/item/munition.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return Object.assign(context,
      await TEMPLATE_DESCRIPTION.prepareContext(this.item),
      await TEMPLATE_INVENTAIRE.prepareContext(this.item)
    )
  }
}